body {
    display: flex;
    flex-direction: column;
    gap: 1em;
    font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

#addons {
    padding-top: 0.5em;
    flex-direction: column;
}

#addons > div, #tyrants {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 1em;
    flex-wrap: wrap;
}

#addons, #options {
    display: flex;
    justify-content: center;
    gap: 1em;
}

#num-players {
    width: 3em;
}

#randomize {
    width: 100%;
    height: 5%;
}

#results {
    display: flex;
    flex-direction: column;
    width: 100%;
}

#results > div {
    margin: auto;
}

#gearloc, #tyrant {
    display: flex;
    flex-direction: column;
    text-align: center;
}

#results-gearlocs {
    display: flex;
    justify-content: center;
}

/*TODO: keep same width? */
#results-gearlocs img {
    margin: auto;
    width: 40%;
}

#result-tyrant-image {
    max-width: 50%;
    margin: auto;
}

#result-tyrant-image:not([src]) {
    opacity: 0;
}

#results .header {
    text-align: center;
    font-weight: bold;
    font-size: 2rem;
}

#result-encounters {
    font-size: 1.2em;
    text-align: center;
}

.hidden {
    visibility: hidden;
    padding: 0 !important;
    margin: 0 !important;
}
.select-wrapper {
    display: flex;
    gap: 0.5em;
    align-items: center;
}
.ts-wrapper {
    width: 15em;
}